std::ranges::join_with_view::iterator::iterator(3)

NAME
std::ranges::join_with_view::iterator::iterator - std::ranges::join_with_view::iterator::iterator

Synopsis
   /*iterator*/() requires (1) (since
   std::default_initializable<ranges::iterator_t<Base>> = default; C++23)
   constexpr /*iterator*/( /*iterator*/<!Const> i )
     requires Const &&
       std::convertible_to<ranges::iterator_t<V>, ranges::iterator_t<Base>>
   && (since
                        (2) C++23)
   std::convertible_to<ranges::iterator_t<ranges::range_reference_t<V>>,
                        ranges::iterator_t<InnerBase>> &&
       std::convertible_to<ranges::iterator_t<Pattern>,
   ranges::iterator_t<PatternBase>>;
   Construct an iterator.
   1) Default constructor. Value-initializes the underlying iterator to Base and the
   iterator to PatternBase, and initializes the pointer to parent join_with_view with
   nullptr.
   2) Conversion from /*iterator*/<false> to /*iterator*/<true>. Move constructs
   corresponding members.
   This iterator also has a private constructor which is used by join_with_view::begin
   and join_with_view::end. This constructor is not accessible to users.

Parameters
   i - an /*iterator*/<false>

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example